Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.splitstream
Class SplitStreamSubscribeContent

    java.lang.Object
      rice.p2p.splitstream.SplitStreamSubscribeContent

All Implemented Interfaces:
  java.io.Serializable, RawScribeContent, ScribeContent

    public class SplitStreamSubscribeContent

extends java.lang.Object
implements RawScribeContent

This represents data sent through scribe for splitstream during a subscribe

Version:
  $Id: SplitStreamSubscribeContent.java 3613 2007-02-15 14:45:14Z jstewart $
Author:
  Alan Mislove
See Also:
  Serialized Form

Field Summary
`protected int` | `stage` The stage that the client attempting to join is in
`static int` | `STAGE_FINAL` The final stage of the join process
`static int` | `STAGE_NON_FINAL` The first stage of the join process
`static short` | `TYPE`

Constructor Summary
`SplitStreamSubscribeContent(InputBuffer buf)`
`SplitStreamSubscribeContent(int stage)` Constructor taking in a byte[]

Method Summary
`int` | `getStage()` Returns the data for this content
`short` | `getType()` Raw Serialization
`void` | `serialize(OutputBuffer buf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

### STAGE_NON_FINAL

    public static int STAGE_NON_FINAL

  The first stage of the join process

### STAGE_FINAL

    public static int STAGE_FINAL

  The final stage of the join process

### stage

    protected int stage

  The stage that the client attempting to join is in

Constructor Detail

### SplitStreamSubscribeContent

    public SplitStreamSubscribeContent(int stage)

  Constructor taking in a byte[]

  Parameters:
    `data` - The data for this content

### SplitStreamSubscribeContent

    public SplitStreamSubscribeContent(InputBuffer buf)
                                throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getStage

    public int getStage()

  Returns the data for this content

  Returns:
    The data for this content

### getType

    public short getType()

  Raw Serialization

  Specified by:
    `getType` in interface `RawScribeContent`

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `RawScribeContent`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.